function v=cycleUnanimity(Trajectory)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns cycle in which unanimity is reached; if it is not        %
% reached, 0 is returned;                                          %
%                                                                  %
% Input: Trajectory := matrix of agents decision trajectories      %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 23th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nCycles=length(Trajectory(1,:));
nAgents=length(Trajectory(:,1));
uCycle=0;                           %number of cycle in which unanimity is reached

i=1;

for i=1:nCycles                     %for all cycles
    if std(Trajectory(:,i))==0      %if std.dev. of decision is zero (i.e. unanimity)
        uCycle=i;                   %return index of cycle
        break                       %and terminate loop
    end
    i=i+1;
end

v=uCycle;
        