function v=determineThreeAnimity(Trajectory)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns wether 3animity is reached -> 1; if it is not            %
% reached, 0 is returned;                                          %
%                                                                  %
% Input: Trajectory := matrix of agents decision trajectories      %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 23th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nCycles=length(Trajectory(1,:));
nAgents=length(Trajectory(:,1));
uCycle=0;                           %number of cycle in which unanimity is reached
nOne=0;
nTwo=0;
nThree=0;
iOne=0;
iTwo=0;
iThree=0;
sumI=0;
threeAnimity=0;

i=1;

for i=1:nCycles                     %for all cycles
    if std(Trajectory(:,i))==0      %if std.dev. of decision is zero (i.e. unanimity)
        uCycle=i;                   %return index of cycle
        break                       %and terminate loop
    end
    i=i+1;
end

if uCycle == 0                              %if no unaninimity
    i=1;
    for i=1:nAgents
        if Trajectory(i,nCycles) == 1             %count decisions
            nOne=nOne+1;
        end
        if Trajectory(i,nCycles) == 2
            nTwo=nTwo+1;
        end    
        if Trajectory(i,nCycles) == 3
            nThree=nThree+1;
        end
        i=i+1;
    end  
%nOne
%nTwo
%nThree    
    
end

if nOne ~= 0                                    %check which decisions are instantiated
    iOne=1;
end
if nTwo ~= 0
    iTwo=1;
end
if nThree ~= 0
    iThree=1;
end

sumI=iOne+iTwo+iThree;                          %sum their indicators up

if sumI == 3
    threeAnimity=1;                                 %check wether there is 3-animity
end

v=threeAnimity;


        