function v=finalDistributions(Trajectory,nAlternatives,nUpdates)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns vector of final proportion distribution over the alterna %
% tives for a single simulation run                                %
%                                                                  %
% Input: Trajectory := decision Trajectory of simulation run,      %
% aAlternatives := number of alternatives; nUpdates := duration of %
% simulation run                                                   %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), October 30th 2006    %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(Trajectory(:,1));                  %number of agents
freqAltern=zeros(nAlternatives,1);          %frequency vector
relFreqAltern=zeros(nAlternatives,1);       %relative frequency vector

%-------------count absolute frequencies for final state-----------

i=1;
for i=1:nAlternatives                               %for all alternatives
    j=1;
    for j=1:n                                       %and all agents
        if Trajectory(j,nUpdates+1) == i            %if agent ends with alternative "i"
            freqAltern(i,1)=freqAltern(i,1)+1;      %count occurrence
        end
        j=j+1;
    end
    i=i+1;
end

%-----------compute realtive frequencies of final state distribution-

i=1;
for i=1:nAlternatives                               %for all alternatives
    relFreqAltern(i,1)=freqAltern(i,1)/n;           %compute rel. freq.
    i=i+1;
end


v=relFreqAltern;

