function v=proportionKAnimity(UnanimityVector)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns proportion of runs in which K-Animity has been reached   %
% modified from unanimity... as can be seen from code              %
%                                                                  %
% Input: UnanimityVector := elements designate the cycle in which  %
% unanimity is reached, zero indicates, that no unanimity is       %
% reached                                                          %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 23th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nCycles=length(UnanimityVector(1,:));
nUni=0;                                 %number of unanimous decisions
pUni=0;                                 %proportion of unanimous decisions

i=1;
for i=1:nCycles
    if UnanimityVector(1,i) ~= 0    
        nUni=nUni+1;                    %count unanimous decisions
    end
    i=i+1;
end

pUni=nUni/nCycles;                      %compute proportion

v=pUni;
        