function v=proportionQualityDecisions(QualityVector)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns proportion of Quality decisions (non-unanimity (zeros)   %
% must be cleaned out of the input                                 %
%                                                                  %
% Input: QualityVector := vector of quality decisons (1-good       %
% quality, 2-bad quality)                                          %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 25th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if size(QualityVector)~=[0,0]                %if there has been an unanimous decision
    nRecords=length(QualityVector(1,:));     %number of cycles
else
    nRecords=0;
end

qualityCounter=0;

if nRecords~=0
    
    i=1;
    for i=1:nRecords
        if QualityVector(1,i) == 1
            qualityCounter=qualityCounter+1;
        end
        i=i+1;
    end

end

pQuality=qualityCounter/nRecords;
       
v=pQuality;
    




        