function v=valueObjectiveList(A,List)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns adjacency matrix with values given in list, including    %
% the diagonal (selfweight); agents exert identical influence      %
% on his neighbours (rows contain identcial values)                &
% Input: A := Adjacency Matrix;                                    %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 29th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(A(1,:));
V=zeros(n,n);

i=1;
j=1;

for i=1:n                   %for all agents
    for j=1:n               %on all the others
        if A(i,j)~=0        %who are neighbours
            V(i,j)=List(i,1);
        end
        j=j+1;    
    end
    i=i+1;
end

v=V;