function v=computeProportion(PRED,n,a,nc)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns matrix of decision proportions of agents over time       %
%                                                                  %
% Input: PRED := trajectory of decisions (n*nc+1); n := number of  %
% agents; a := number of alernatives; nc := number of cycles       %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 19th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




COUNT=zeros(a,nc+1);
PROP=zeros(a,nc+1);

%----count decisions---

i=1;
j=1;
k=1;

for i=1:n
    for j=1:nc+1
        for k=1:a;
            if PRED(i,j)==k
                COUNT(k,j)=COUNT(k,j)+1;
            end
            k=k+1;
        end
        j=j+1;
    end
    i=i+1;
end


k=1;
j=1;

for k=1:a
    for j=1:nc+1
        PROP(k,j)=COUNT(k,j)/sum(COUNT(:,j));
        j=j+1;
    end
    k=k+1;
end


v=PROP;



