function v=minimalist(a,Type,indicator,Decisions)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns vector of agents decisions according to 'minimalist'     %
% (i.e. random) heuristic                                          %
%                                                                  %
% Input: a := number of alternatives; type := vector of agent type %
% with regard to used heuristic; indicator := labeling number of   %
% 'minimalist' agent type; Decisions := Vector of agents decisions %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 10th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



n=length(Type(:,1));
D=Decisions;

i=1;

for i=1:n                               %for all agents
    if Type(i,1) == indicator           %if agent uses 'minimalist'
        D(i,1)=ceil(rand(1)*(a));       %compute random choice 
    end
    i=i+1;
end

v=D;

