function v=takeTheBestHRand(Type,indicator,Contacts,Decisions)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns vector of agents decisions according to 'take the best'  %
% heuristic, if there is a tie regarding Status, Agent imitates    %
% decision of highest order neighbours at random                   % 
% decisions of other agent types are set to zero                   %
%                                                                  %                                                                  %
% Input: type := vector of agent type with regard to used          %
% heuristic; indicator := labeling number of 'take the best' agent %
% type, Contacts := Matrix of contacts influence weights (cue      %
% values); Decisions := Vector of Decisions                        %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), December 4th 2006    %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



n=length(Type(:,1));
D=Decisions;
tc=zeros(n,1);                                   %tie-counter
backwards=n+1;                                   %starting point for backwards counting 
rChoice=zeros(n,1);
rPosition=zeros(n,1);

[SW,IX] = sort(Contacts,1)             %Sort (ascending) Contacts over columns (receiving node), 
                                        %return sorted matrix and indices

i=1;

for i=1:n                               %for all agents
    if Type(i,1) == indicator           %if agent uses 'take the best'
        if SW(n,i)~=SW(n-1,i)           %IF there is no tie regarding status
            D(i,1)=Decisions(IX(n,i),1);    %Choose the action of the one sorted as last, i.e. the most valid neighboring agent
        else                            %check how many ties there are
            j=1;
            for j=1:n-1                 %over the possible lenght of a tie with the best
                %SW(n,i)
                %SW(n-j,i)
                if SW(n,i)==SW(n-j,i)
                    tc(i,1)=j;
                end
                j=j+1;
            end
            rChoice(i,1)=ceil(rand(1)*(tc(i,1)+1));     %compute ordinal position of random choice  
            rPosition(i,1)=backwards-rChoice(i,1);      %compute position of choice in ordered list
            D(i,1)=Decisions(IX(rPosition(i,1),i),1);   %imitate
        end    
    else                               %if not a "ttb-er" do nothing
        D(i,1)=0;    
    end
    i=i+1;
end
tc

v=D;


%%% LNGE DES TIES IST GEZHLT; JETZT MU DIE ZUFALLSAUSWAHL IM TIE
%%% PROGRAMMIERT WERDEN!!!!
