function v=reduceNetHE(aMatrix)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% transforms net according to HE-contact heuristic;  %
% contacts (in rows) with a status lower than the    %
% recieiving agent (in columns) are deleted from the %
% network; input and output are adjacency matrices;  %
% status is read from self-weights, but generally    %
% values are assumed to be equal over rows           %
%                                                    %
% Gero Schwenk@web.de  February 7th 2007             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(aMatrix(1,:));                 %number of nodes
statusVector=zeros(n,1);                %vector of status values
reducedMatrix=zeros(n,n);                %reduced network


%%%%%determine vector of status values%%%%%

i=1;

for i=1:n
    statusVector(i,1)=aMatrix(i,i);     %read status from self-weight        
    i=i+1;
end

%%%%%fill reduced matrix if contact-status is >= status%%%%%


i=1;
j=1;

for i=1:n
    for j=1:n
        if aMatrix(i,j) >= statusVector(j,1)
            reducedMatrix(i,j)=aMatrix(i,j);
        end
        j=j+1;
    end
    i=i+1;
end

%%%%%return reduced matrix%%%%%

v=reducedMatrix;
