function v=normalize(W)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns rowwise normalized (rows sum to 1) weight matrix         %
% Input: W := weighted adjacency matrix                            %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), June 17th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(W(1,:));
N=zeros(n,n);

i=1;
j=1;

for i=1:n
    for j=1:n
        N(i,j)=W(i,j)/sum(W(i,:));
        j=j+1;
    end
    i=i+1;
end

v=N;