function v=normalizeContactsColumn(W,C)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns columnwise normalized (contacts sum to 1) weight matrix  %
% Input: W := weighted adjacency matrix                            %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), June 17th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(W(1,:));
CW=zeros(n,n);
NC=zeros(n,n);



i=1;
j=1;

for i=1:n
    for j=1:n
        if C(i,j)~=0                %if contact is realized
            CW(i,j)=W(i,j);         %set contact weight to weight
        end
        j=j+1;
    end
    i=i+1;
end

i=1;
j=1;

for i=1:n
    for j=1:n
        NC(i,j)=CW(i,j)/sum(CW(:,j));
        j=j+1;
    end
    i=i+1;
end

v=NC;