function v=valueUniformC(A,min,max)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns adjacency matrix with uniform random values, including   %
% the diagonal (selfweight)                                        %
% Input: A := Adjacency Matrix; min := minimum selfweight (0:1)    %
% max := maximum selfweight (0:1)                                  %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), June 12th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(A(1,:));
V=zeros(n,n);

i=1;
j=1;

for i=1:n
    j=1;
    while j<=n
        r=rand(1);
        if i ~= j               %IF NOT IN DIAGONAL
            if A(i,j)==1        %IF RELATION EXISTENT
               V(i,j)=r;        %SET UNIFORM RANDOM WEIGHT
               %V(j,i)=r;       %SYMMETRISIZE VALUES
            end
            j=j+1;
        else 
            if (r>=min)&(r<=max)
                V(i,j)=r;           %SET RANDOM UNIFORM SELFWEIGHT 
                j=j+1;
            end
        end
    end
    i=i+1;
end

v=V;